libxcomposite1_0.4.4-1_i386.deb


Advertisement

Description

libxcomposite1 - X11 Composite extension library

Property Value
Distribution Ubuntu 14.04 LTS (Trusty Tahr)
Repository Ubuntu Main i386
Package filename libxcomposite1_0.4.4-1_i386.deb
Package name libxcomposite1
Package version 0.4.4
Package release 1
Package architecture i386
Package type deb
Category libs
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 7.42 KB
Installed size 47.00 KB
libXcomposite provides an X Window System client interface to the Composite
extension to the X protocol.
The Composite extension allows clients called compositing managers to control
the final drawing of the screen.  Rendering is done into an off-screen buffer.
More information about X.Org can be found at:
<URL:http://www.X.org>
This module can be found at
git://anongit.freedesktop.org/git/xorg/lib/libXcomposite

Alternatives

Package Version Architecture Repository
libxcomposite1_0.4.4-1_amd64.deb 0.4.4 amd64 Ubuntu Main
libxcomposite1 - - -

Requires

Name Value
libc6 >= 2.1.3
libx11-6 >= 2:1.4.99.1
multiarch-support -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libxcomposite1_0.4.4-1_i386.deb
Source Package libxcomposite

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxcomposite1 deb package:
    # sudo apt-get install libxcomposite1

Files

Path
/usr/lib/i386-linux-gnu/libXcomposite.so.1
/usr/lib/i386-linux-gnu/libXcomposite.so.1.0.0
/usr/share/doc/libxcomposite1/changelog.Debian.gz
/usr/share/doc/libxcomposite1/copyright

Changelog

2013-06-16 - Julien Cristau <jcristau@debian.org>
libxcomposite (1:0.4.4-1) unstable; urgency=low
* New upstream release.
* Bump debhelper compat level to 7.
* Use dpkg-buildflags.
* Disable silent rules.
* Use dh_prep instead of dh_clean -k.
2011-06-11 - Julien Cristau <jcristau@debian.org>
libxcomposite (1:0.4.3-2) unstable; urgency=low
* Team upload.
[ Steve Langasek ]
* Build for multiarch.
[ Julien Cristau ]
* Remove David Nusinow and Brice Goglin from Uploaders.
* Bump Standards-Version to 3.9.2.
* Add build-indep and build-arch d/rules targets.
2010-11-06 - Cyril Brulebois <kibi@debian.org>
libxcomposite (1:0.4.3-1) unstable; urgency=low
* New upstream release.
* Remove obsolete build-deps.
* Bump xutils-dev build-dep for new macros.
* Add myself to Uploaders.
2010-07-11 - Julien Cristau <jcristau@debian.org>
libxcomposite (1:0.4.2-1) unstable; urgency=low
* New upstream release.
* Update debian/copyright from upstream COPYING.
* Bump xutils-dev build-dep for xorg-macros 1.6.
* Drop pre-dependency on x11-common, only needed for upgrades from sarge.
* Bump Standards-Version to 3.9.0.
2010-06-25 - Julien Cristau <jcristau@debian.org>
libxcomposite (1:0.4.1-2) unstable; urgency=low
[ Julien Cristau ]
* Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
good reason.  Thanks, Colin Watson!
* Remove myself from Uploaders
[ Brice Goglin ]
* Remove Jamey Sharp and Josh Triplett from Uploaders, closes: #568280.
2009-11-25 - Julien Cristau <jcristau@debian.org>
libxcomposite (1:0.4.1-1) unstable; urgency=low
[ Timo Aaltonen ]
* New upstream release (closes: #554236).
* Bump Standards-Version to 3.8.3.
* Run autoreconf on build. Add build-deps on automake, libtool and
xutils-dev.
* Parse space-separated DEB_BUILD_OPTIONS, and handle parallel=N.
2009-07-26 - Brice Goglin <bgoglin@debian.org>
libxcomposite (1:0.4.0-4) unstable; urgency=low
* Add a link to www.X.org in the long description.
* Add README.source, bump Standards-Version to 3.8.2.
* Remove the unused quilt patching, closes: #538619.
* Move -dbg package to new debug section.
* Add myself to Uploaders.
2008-05-30 - Julien Cristau <jcristau@debian.org>
libxcomposite (1:0.4.0-3) unstable; urgency=low
* Add dependency on x11proto-core-dev and libxext-dev to libxcomposite-dev,
as these are referenced by xcomposite.pc.
2008-05-18 - Julien Cristau <jcristau@debian.org>
libxcomposite (1:0.4.0-2) unstable; urgency=low
[ Andres Salomon ]
* Test for obj-$(DEB_BUILD_GNU_TYPE) before creating it during build;
idempotency fix.
* Run dh_install w/ --list-missing.
* Bump debhelper compat to 5.
* Fix dh_strip call to skip the -dbg package.
[ Julien Cristau ]
* Drop the -1 debian revision from the libx11-dev build-dep.
* Bump Standards-Version to 3.7.3.
* Drop the XS- prefix from Vcs-* control fields.
* libxcomposite1{,-dbg} don't need to depend on x11-common.
2007-12-02 - Julien Cristau <jcristau@debian.org>
libxcomposite (1:0.4.0-1) unstable; urgency=low
* New upstream release.
+ bump (build-)dep on x11proto-composite-dev to >= 1:0.4.
* Use binary:Version instead of Source-Version in debian/control.
* Add myself to Uploaders, and remove Branden with his permission.
* Add upstream URL to debian/copyright.

See Also

Package Description
libxcursor-dev_1.1.14-1_i386.deb X cursor management library (development files)
libxcursor1_1.1.14-1_i386.deb X cursor management library
libxdamage-dev_1.1.4-1ubuntu1_i386.deb X11 damaged region extension library (development headers)
libxdamage1_1.1.4-1ubuntu1_i386.deb X11 damaged region extension library
libxdmcp-dev_1.1.1-1_i386.deb X11 authorisation library (development headers)
libxdmcp6_1.1.1-1_i386.deb X11 Display Manager Control Protocol library
libxdot4_2.36.0-0ubuntu3_i386.deb rich set of graph drawing tools - xdot library
libxen-4.4_4.4.0-0ubuntu5_i386.deb Public libs for Xen
libxen-dev_4.4.0-0ubuntu5_i386.deb Public headers and libs for Xen
libxen-ocaml-dev_4.4.0-0ubuntu5_i386.deb OCaml libraries for controlling Xen (devel package)
libxen-ocaml_4.4.0-0ubuntu5_i386.deb OCaml libraries for controlling Xen
libxenstore3.0_4.4.0-0ubuntu5_i386.deb Xenstore communications library for Xen
libxerces2-java-doc_2.11.0-7_all.deb Validating XML parser for Java -- Documentation and examples
libxerces2-java-gcj_2.11.0-7_i386.deb Validating XML parser for Java with DOM level 3 support (native code)
libxerces2-java_2.11.0-7_all.deb Validating XML parser for Java with DOM level 3 support
Advertisement
Advertisement